Page MenuHomePhabricator

Enable CX for languages the Catalan Wikipedia community translates to
Closed, ResolvedPublic1 Story Points

Description

The Catalan Wikipedia community has been very active using Content Translation (creating more than 500 translations as of April 2015).
As part of a recent initiative they are encouraging users to translate articles from Catalan Wikipedia to other languages, and recommending the use of Content Translation. Unfortunately some users found the languages they wanted to translate to are not available (e.g., Asturian and Dutch). This may discourage some users to try CX in the future.

We may want to enable CX for languages the Catalan community is translating to (or is likely to do so). A proposed list (available Apertium packages we may want to prepare in advance are also indicated):

  • Aragonese (an)
    • Apertium supports Aragonese ⇆ Spanish
  • Asturian (ast)
    • Apertium supports Asturian ⇆ Spanish
  • Basque (eu)
    • Apertium supports Basque → Spanish, and Basque → English
  • Dutch (nl)
    • Apertium supports Afrikaans ⇆ Dutch
  • Galician (gl)
    • Apertium supports Galician ⇆ English, Galician ⇆ Spanish, and Galician ⇆ Portuguese
  • Occitan (oc)
    • Apertium supports Occitan ⇆ Catalan, and Occitan ⇆ Spanish

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 10:07 AM
Pginer-WMF updated the task description. (Show Details)Apr 9 2015, 10:15 AM
Pginer-WMF set Security to None.

@KartikMistry feel free to create a sub-task (or more) to capture the needed Apertium packaging tasks if that helps to make sure MT support will be ready when enabling the listed languages.

In any case, given that most of the MT-supported pairs do not involve Catalan, the packaging should not be a blocker for this task.

santhosh triaged this task as Normal priority.Apr 10 2015, 3:39 AM
santhosh added a subscriber: santhosh.
Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:51 AM

Change 203799 had a related patch set uploaded (by KartikMistry):
config: Add requested languages and MT pairs

https://gerrit.wikimedia.org/r/203799

Restricted Application added a project: Notice. · View Herald TranscriptApr 13 2015, 10:38 AM

Change 203799 merged by jenkins-bot:
config: Add requested languages and MT pairs

https://gerrit.wikimedia.org/r/203799

Change 203812 had a related patch set uploaded (by KartikMistry):
Beta: Add requested languages for ContentTranslation

https://gerrit.wikimedia.org/r/203812

Change 203812 merged by Alexandros Kosiaris:
Beta: Add requested languages for ContentTranslation

https://gerrit.wikimedia.org/r/203812

Amire80 moved this task from Unscheduled to April 20-24 on the Roadmap board.Apr 14 2015, 4:15 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Apr 16 2015, 5:18 PM

Change 204725 had a related patch set uploaded (by KartikMistry):
CX: Enable Content Translation in given wikis

https://gerrit.wikimedia.org/r/204725

Change 204722 had a related patch set uploaded (by KartikMistry):
CX: Enable Content Translation in given wikis

https://gerrit.wikimedia.org/r/204722

Nikerabbit edited a custom field.Apr 21 2015, 8:29 AM

Change 204725 merged by Filippo Giunchedi:
CX: Enable Content Translation in given wikis

https://gerrit.wikimedia.org/r/204725

Change 204722 merged by jenkins-bot:
CX: Enable Content Translation in given wikis

https://gerrit.wikimedia.org/r/204722

KartikMistry closed this task as Resolved.Apr 21 2015, 7:56 PM
KartikMistry moved this task from In Progress to Done on the LE-Sprint-86 board.
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 23 2015, 9:15 PM